Attribute VB_Name = "INIFunktionen"
Dim Dateiname$

Private Declare Function GetPrivateProfileString Lib "kernel32" _
   Alias "GetPrivateProfileStringA" (ByVal lpApplicationName As _
   String, ByVal lpKeyName As Any, ByVal lpDefault As String, _
   ByVal lpReturnedString As String, ByVal nSize As Long, _
   ByVal lpFileName As String) As Long

Private Declare Function WritePrivateProfileString Lib "kernel32" _
   Alias "WritePrivateProfileStringA" (ByVal lpApplicationName _
   As String, ByVal lpKeyName As Any, ByVal lpString As Any, _
   ByVal lpFileName As String) As Long

Public Function INISchreiben(DieSektion As String, DerEintrag As String, Wert As String) As Long
Dim Dateiname As String
If Right(App.Path, 1) = "\" Then
  Dateiname = App.Path & "Optionen.ini"
Else
  Dateiname = App.Path & "\Optionen.ini"
End If

WriteINI = WritePrivateProfileString(DieSektion, DerEintrag, Wert, Dateiname)
End Function

Public Function INILesen(DieSektion As String, DerEintrag As String) As String
Dim Dateiname As String
If Right(App.Path, 1) = "\" Then
  Dateiname = App.Path & "Optionen.ini"
Else
  Dateiname = App.Path & "\Optionen.ini"
End If

Temp$ = String(255, 0)
x = GetPrivateProfileString(DieSektion, DerEintrag, "", Temp$, 255, Dateiname)
Temp$ = Left$(Temp$, x)
INILesen = Temp$
End Function



